Bug 293698 - amarok crashes on inserting a CD [@ Collections::MemoryQueryMakerHelper::orderListByName]
Summary: amarok crashes on inserting a CD [@ Collections::MemoryQueryMakerHelper::orde...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/CD (show other bugs)
Version: 2.6-git
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
: 305014 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-02-09 10:02 UTC by robert marshall
Modified: 2013-05-27 09:41 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description robert marshall 2012-02-09 10:02:08 UTC
Version:           2.5.0 (using KDE 4.8.0) 
OS:                Linux

When I insert a cd amarok will crash. This crash only happens if I'm showing local music in the appropriate panel - if I change it to show APG then the crash doesn't happen.

Reproducible: Always

Steps to Reproduce:
Show local music, insert cd, amarok crashes

Actual Results:  
application crashes

Expected Results:  
No crash
Comment 1 Myriam Schweingruber 2012-02-09 21:43:15 UTC
Please provide a backtrace.
Comment 2 robert marshall 2012-02-10 07:54:45 UTC
I hope this is ok (manually installed amarok-dbg - when I click Install Debug symbols' I get a message about being unable to find the packages)Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xafc8a720 (LWP 6449))]

Thread 16 (Thread 0xa4ec8b70 (LWP 6454)):
#0  0xb434ed10 in __GI_clock_gettime (clock_id=1, tp=0xa4ec7f68) at ../sysdeps/unix/clock_gettime.c:116
#1  0xb596f7d5 in do_gettime (frac=0xa4ec7f60, sec=0xa4ec7f58) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb5a424b6 in QTimerInfoList::updateCurrentTime (this=0x910aabc) at kernel/qeventdispatcher_unix.cpp:339
#4  0xb5a4280a in QTimerInfoList::timerWait (this=0x910aabc, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb5a41053 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xa4ec806c) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb5a410ed in timerSourcePrepare (source=0x910aa88, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb451f88c in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb4520637 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb4520c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb5a41b37 in QEventDispatcherGlib::processEvents (this=0x9108ab8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0xb5a121dd in QEventLoop::processEvents (this=0xa4ec81f0, flags=...) at kernel/qeventloop.cpp:149
#12 0xb5a12421 in QEventLoop::exec (this=0xa4ec81f0, flags=...) at kernel/qeventloop.cpp:201
#13 0xb591590b in QThread::exec (this=0x90dcd60) at thread/qthread.cpp:498
#14 0xb59f2e2d in QInotifyFileSystemWatcherEngine::run (this=0x90dcd60) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb59187b3 in QThreadPrivate::start (arg=0x90dcd60) at thread/qthread_unix.cpp:331
#16 0xb195e9cd in ?? () from /usr/lib/nvidia-current/libGL.so.1
#17 0xb56f90ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 15 (Thread 0xa3498b70 (LWP 6456)):
[KCrash Handler]
#7  Collections::MemoryQueryMakerHelper::orderListByName<KSharedPtr<Meta::Composer> > (list=..., descendingOrder=false) at ../../src/core-impl/collections/support/MemoryQueryMakerHelper.cpp:40
#8  0xb6df7322 in Collections::MemoryQueryMakerInternal::handleResult (this=0xc650fe8, tmpTracks=...) at ../../src/core-impl/collections/support/MemoryQueryMakerInternal.cpp:536
#9  0xb6df9310 in Collections::MemoryQueryMakerInternal::runQuery (this=0xc650fe8) at ../../src/core-impl/collections/support/MemoryQueryMakerInternal.cpp:78
#10 0xb6defea5 in QueryJob::run (this=0xc425f78) at ../../src/core-impl/collections/support/MemoryQueryMaker.cpp:59
#11 0xb4f1b47d in ThreadWeaver::JobRunHelper::runTheJob (this=0xa34981cc, th=0x932acd8, job=0xc425f78) at ../../../threadweaver/Weaver/Job.cpp:106
#12 0xb4f1b5e3 in ThreadWeaver::Job::execute (this=0xc425f78, th=0x932acd8) at ../../../threadweaver/Weaver/Job.cpp:135
#13 0xb4f1aae2 in ThreadWeaver::ThreadRunHelper::run (this=0xa3498254, parent=0x932a728, th=0x932acd8) at ../../../threadweaver/Weaver/Thread.cpp:95
#14 0xb4f1abca in ThreadWeaver::Thread::run (this=0x932acd8) at ../../../threadweaver/Weaver/Thread.cpp:142
#15 0xb59187b3 in QThreadPrivate::start (arg=0x932acd8) at thread/qthread_unix.cpp:331
#16 0xb195e9cd in ?? () from /usr/lib/nvidia-current/libGL.so.1
#17 0xb56f90ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 14 (Thread 0xa1a17b70 (LWP 6457)):
#0  socketNotifierSourcePrepare (timeout=0xa1a1706c) at kernel/qeventdispatcher_glib.cpp:73
#1  0xb451f88c in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb4520637 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb4520c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb5a41b37 in QEventDispatcherGlib::processEvents (this=0x9509d08, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0xb5a121dd in QEventLoop::processEvents (this=0xa1a171f0, flags=...) at kernel/qeventloop.cpp:149
#6  0xb5a12421 in QEventLoop::exec (this=0xa1a171f0, flags=...) at kernel/qeventloop.cpp:201
#7  0xb591590b in QThread::exec (this=0x94e8758) at thread/qthread.cpp:498
#8  0xb59f2e2d in QInotifyFileSystemWatcherEngine::run (this=0x94e8758) at io/qfilesystemwatcher_inotify.cpp:248
#9  0xb59187b3 in QThreadPrivate::start (arg=0x94e8758) at thread/qthread_unix.cpp:331
#10 0xb195e9cd in ?? () from /usr/lib/nvidia-current/libGL.so.1
#11 0xb56f90ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 13 (Thread 0xa11fab70 (LWP 6458)):
#0  0xb775b424 in __kernel_vsyscall ()
#1  0xb47cba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5706cfc in __pthread_cond_wait (cond=0x932a858, mutex=0x932a840) at forward.c:139
#3  0xb5918cc0 in wait (time=4294967295, this=0x932a840) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x932a740, mutex=0x932a9e0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4f19406 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x932a728, th=0x9545bf0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4f1becb in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x932aac0, th=0x9545bf0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4f1903a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x932a728, th=0x9545bf0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4f1bfcc in ThreadWeaver::WorkingHardState::applyForWork (this=0x932aac0, th=0x9545bf0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4f18f93 in ThreadWeaver::WeaverImpl::applyForWork (this=0x932a728, th=0x9545bf0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4f1bfe8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x932aac0, th=0x9545bf0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb4f18f93 in ThreadWeaver::WeaverImpl::applyForWork (this=0x932a728, th=0x9545bf0, previous=0xa4fc120) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb4f1ab14 in ThreadWeaver::ThreadRunHelper::run (this=0xa11fa254, parent=0x932a728, th=0x9545bf0) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0xb4f1abca in ThreadWeaver::Thread::run (this=0x9545bf0) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0xb59187b3 in QThreadPrivate::start (arg=0x9545bf0) at thread/qthread_unix.cpp:331
#15 0xb195e9cd in ?? () from /usr/lib/nvidia-current/libGL.so.1
#16 0xb56f90ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 12 (Thread 0xa09f9b70 (LWP 6459)):
#0  0xb775b424 in __kernel_vsyscall ()
#1  0xb47cba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5706cfc in __pthread_cond_wait (cond=0x932a858, mutex=0x932a840) at forward.c:139
#3  0xb5918cc0 in wait (time=4294967295, this=0x932a840) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x932a740, mutex=0x932a9e0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4f19406 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x932a728, th=0x95629d0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4f1becb in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x932aac0, th=0x95629d0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4f1903a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x932a728, th=0x95629d0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4f1bfcc in ThreadWeaver::WorkingHardState::applyForWork (this=0x932aac0, th=0x95629d0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4f18f93 in ThreadWeaver::WeaverImpl::applyForWork (this=0x932a728, th=0x95629d0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4f1bfe8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x932aac0, th=0x95629d0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb4f18f93 in ThreadWeaver::WeaverImpl::applyForWork (this=0x932a728, th=0x95629d0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb4f1bfe8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x932aac0, th=0x95629d0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb4f18f93 in ThreadWeaver::WeaverImpl::applyForWork (this=0x932a728, th=0x95629d0, previous=0xcbd3110) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb4f1ab14 in ThreadWeaver::ThreadRunHelper::run (this=0xa09f9254, parent=0x932a728, th=0x95629d0) at ../../../threadweaver/Weaver/Thread.cpp:87
#15 0xb4f1abca in ThreadWeaver::Thread::run (this=0x95629d0) at ../../../threadweaver/Weaver/Thread.cpp:142
#16 0xb59187b3 in QThreadPrivate::start (arg=0x95629d0) at thread/qthread_unix.cpp:331
#17 0xb195e9cd in ?? () from /usr/lib/nvidia-current/libGL.so.1
#18 0xb56f90ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 11 (Thread 0xa01f8b70 (LWP 6460)):
#0  0xb775b424 in __kernel_vsyscall ()
#1  0xb47cba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5706cfc in __pthread_cond_wait (cond=0x932a858, mutex=0x932a840) at forward.c:139
#3  0xb5918cc0 in wait (time=4294967295, this=0x932a840) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x932a740, mutex=0x932a9e0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4f19406 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x932a728, th=0x9563398) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4f1becb in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x932aac0, th=0x9563398) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4f1903a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x932a728, th=0x9563398) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4f1bfcc in ThreadWeaver::WorkingHardState::applyForWork (this=0x932aac0, th=0x9563398) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4f18f93 in ThreadWeaver::WeaverImpl::applyForWork (this=0x932a728, th=0x9563398, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4f1bfe8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x932aac0, th=0x9563398) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb4f18f93 in ThreadWeaver::WeaverImpl::applyForWork (this=0x932a728, th=0x9563398, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb4f1bfe8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x932aac0, th=0x9563398) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb4f18f93 in ThreadWeaver::WeaverImpl::applyForWork (this=0x932a728, th=0x9563398, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb4f1bfe8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x932aac0, th=0x9563398) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb4f18f93 in ThreadWeaver::WeaverImpl::applyForWork (this=0x932a728, th=0x9563398, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb4f1bfe8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x932aac0, th=0x9563398) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#17 0xb4f18f93 in ThreadWeaver::WeaverImpl::applyForWork (this=0x932a728, th=0x9563398, previous=0xb502a28) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#18 0xb4f1ab14 in ThreadWeaver::ThreadRunHelper::run (this=0xa01f8254, parent=0x932a728, th=0x9563398) at ../../../threadweaver/Weaver/Thread.cpp:87
#19 0xb4f1abca in ThreadWeaver::Thread::run (this=0x9563398) at ../../../threadweaver/Weaver/Thread.cpp:142
#20 0xb59187b3 in QThreadPrivate::start (arg=0x9563398) at thread/qthread_unix.cpp:331
#21 0xb195e9cd in ?? () from /usr/lib/nvidia-current/libGL.so.1
#22 0xb56f90ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 10 (Thread 0x9f9bbb70 (LWP 6461)):
#0  0xb775b424 in __kernel_vsyscall ()
#1  0xb47cba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5706cfc in __pthread_cond_wait (cond=0xb4122430, mutex=0xb4122418) at forward.c:139
#3  0xb3a01883 in ?? () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4
#4  0xb3a0199f in ?? () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4
#5  0xb195e9cd in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0xb56f90ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 9 (Thread 0x9f09ab70 (LWP 6462)):
#0  do_gettime (frac=0x9f099ff0, sec=0x9f099fe8) at tools/qelapsedtimer_unix.cpp:125
#1  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#2  0xb5a424b6 in QTimerInfoList::updateCurrentTime (this=0x95ab4e4) at kernel/qeventdispatcher_unix.cpp:339
#3  0xb5a42086 in timerSourceCheckHelper (src=0x95ab4b0) at kernel/qeventdispatcher_glib.cpp:150
#4  timerSourceCheckHelper (src=0x95ab4b0) at kernel/qeventdispatcher_glib.cpp:144
#5  0xb451ff24 in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb45208f0 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0xb4520c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb5a41b37 in QEventDispatcherGlib::processEvents (this=0x9526880, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#9  0xb5a121dd in QEventLoop::processEvents (this=0x9f09a220, flags=...) at kernel/qeventloop.cpp:149
#10 0xb5a12421 in QEventLoop::exec (this=0x9f09a220, flags=...) at kernel/qeventloop.cpp:201
#11 0xb591590b in QThread::exec (this=0x957cfa0) at thread/qthread.cpp:498
#12 0xb59159fb in QThread::run (this=0x957cfa0) at thread/qthread.cpp:565
#13 0xb59187b3 in QThreadPrivate::start (arg=0x957cfa0) at thread/qthread_unix.cpp:331
#14 0xb195e9cd in ?? () from /usr/lib/nvidia-current/libGL.so.1
#15 0xb56f90ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 8 (Thread 0x9dda6b70 (LWP 6465)):
#0  0xb775b424 in __kernel_vsyscall ()
#1  0xb47cba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5706cfc in __pthread_cond_wait (cond=0xb4a94a50, mutex=0xb4a94a38) at forward.c:139
#3  0xb498f9a9 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#4  0xb498f9ef in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#5  0xb195e9cd in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0xb56f90ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 7 (Thread 0xa69e0b70 (LWP 26232)):
#0  0xb775b424 in __kernel_vsyscall ()
#1  0xb47cba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5706cfc in __pthread_cond_wait (cond=0x9055ac8, mutex=0x9055d90) at forward.c:139
#3  0xa5adc566 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#4  0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#5  0xb1e3acec in ?? () from /usr/lib/libgstreamer-0.10.so.0
#6  0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0xb1e3acec in ?? () from /usr/lib/libgstreamer-0.10.so.0
#8  0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#9  0x92c926b5 in ?? () from /usr/lib/gstreamer-0.10/libgstflump3dec.so
#10 0x92c937d7 in ?? () from /usr/lib/gstreamer-0.10/libgstflump3dec.so
#11 0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#12 0xb1ef1212 in gst_base_parse_push_frame () from /usr/lib/libgstbase-0.10.so.0
#13 0xb1ef231e in ?? () from /usr/lib/libgstbase-0.10.so.0
#14 0xb1ef4fd0 in ?? () from /usr/lib/libgstbase-0.10.so.0
#15 0xb1e7bee0 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#16 0xb1e7d188 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#17 0xb4549a27 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#18 0xb45475f4 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#19 0xb195e9cd in ?? () from /usr/lib/nvidia-current/libGL.so.1
#20 0xb56f90ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 6 (Thread 0x934c0b70 (LWP 575)):
#0  0xb775b424 in __kernel_vsyscall ()
#1  0xb47c5818 in __pthread_mutex_lock_full (mutex=0xb47d8ff4) at pthread_mutex_lock.c:301
#2  0xb5706f14 in pthread_mutex_lock (mutex=0xa5bd29c8) at forward.c:182
#3  0xb206bf6f in pa_mutex_lock () from /usr/lib/i386-linux-gnu/libpulsecommon-1.0.so
#4  0xb416a250 in ?? () from /usr/lib/i386-linux-gnu/libpulse.so.0
#5  0xb41584ea in pa_mainloop_poll () from /usr/lib/i386-linux-gnu/libpulse.so.0
#6  0xb4158d47 in pa_mainloop_iterate () from /usr/lib/i386-linux-gnu/libpulse.so.0
#7  0xb4158e24 in pa_mainloop_run () from /usr/lib/i386-linux-gnu/libpulse.so.0
#8  0xb416a1ce in ?? () from /usr/lib/i386-linux-gnu/libpulse.so.0
#9  0xb206d216 in ?? () from /usr/lib/i386-linux-gnu/libpulsecommon-1.0.so
#10 0xb195e9cd in ?? () from /usr/lib/nvidia-current/libGL.so.1
#11 0xb56f90ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 5 (Thread 0xa751eb70 (LWP 576)):
#0  0xb775b424 in __kernel_vsyscall ()
#1  0xb47cba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5706cfc in __pthread_cond_wait (cond=0x8f79230, mutex=0x8af56a0) at forward.c:139
#3  0xb1efea5f in gst_base_sink_wait_preroll () from /usr/lib/libgstbase-0.10.so.0
#4  0xaa4e099c in ?? () from /usr/lib/libgstaudio-0.10.so.0
#5  0xb1f03cb7 in ?? () from /usr/lib/libgstbase-0.10.so.0
#6  0xb1f0587b in ?? () from /usr/lib/libgstbase-0.10.so.0
#7  0xb1f05de5 in ?? () from /usr/lib/libgstbase-0.10.so.0
#8  0xb1f06263 in ?? () from /usr/lib/libgstbase-0.10.so.0
#9  0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#10 0xb1f16979 in ?? () from /usr/lib/libgstbase-0.10.so.0
#11 0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#12 0xb1f16979 in ?? () from /usr/lib/libgstbase-0.10.so.0
#13 0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#14 0xb1f16979 in ?? () from /usr/lib/libgstbase-0.10.so.0
#15 0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#16 0xa5addb3a in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#17 0xb1e7bee0 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#18 0xb1e7d188 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#19 0xb4549a27 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#20 0xb45475f4 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#21 0xb195e9cd in ?? () from /usr/lib/nvidia-current/libGL.so.1
#22 0xb56f90ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 4 (Thread 0x9248db70 (LWP 577)):
#0  0xb1e1713f in ?? () from /usr/lib/libgstreamer-0.10.so.0
#1  0xb1e21f75 in gst_bus_post () from /usr/lib/libgstreamer-0.10.so.0
#2  0xb1e3291f in gst_element_post_message () from /usr/lib/libgstreamer-0.10.so.0
#3  0xb1e19a4e in ?? () from /usr/lib/libgstreamer-0.10.so.0
#4  0xb1e1713c in ?? () from /usr/lib/libgstreamer-0.10.so.0
#5  0xb1e21f75 in gst_bus_post () from /usr/lib/libgstreamer-0.10.so.0
#6  0xb1e3291f in gst_element_post_message () from /usr/lib/libgstreamer-0.10.so.0
#7  0xb1e32c0a in gst_element_message_full () from /usr/lib/libgstreamer-0.10.so.0
#8  0xaa6564aa in ?? () from /usr/lib/gstreamer-0.10/libgstpulse.so
#9  0xaa65c399 in ?? () from /usr/lib/gstreamer-0.10/libgstpulse.so
#10 0xaa4dab18 in ?? () from /usr/lib/libgstaudio-0.10.so.0
#11 0xb1e29a43 in gst_clock_get_internal_time () from /usr/lib/libgstreamer-0.10.so.0
#12 0xb1e29c80 in gst_clock_get_time () from /usr/lib/libgstreamer-0.10.so.0
#13 0xb1e7495f in ?? () from /usr/lib/libgstreamer-0.10.so.0
#14 0xb1e29eca in gst_clock_id_wait () from /usr/lib/libgstreamer-0.10.so.0
#15 0xb1efe829 in gst_base_sink_wait_clock () from /usr/lib/libgstbase-0.10.so.0
#16 0xb1f00fa7 in ?? () from /usr/lib/libgstbase-0.10.so.0
#17 0xb1f031e1 in ?? () from /usr/lib/libgstbase-0.10.so.0
#18 0xb1f0587b in ?? () from /usr/lib/libgstbase-0.10.so.0
#19 0xb1f05de5 in ?? () from /usr/lib/libgstbase-0.10.so.0
#20 0xb1f06263 in ?? () from /usr/lib/libgstbase-0.10.so.0
#21 0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#22 0xb1f16979 in ?? () from /usr/lib/libgstbase-0.10.so.0
#23 0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#24 0xb1f16979 in ?? () from /usr/lib/libgstbase-0.10.so.0
#25 0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#26 0xa5addb3a in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#27 0xb1e7bee0 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#28 0xb1e7d188 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#29 0xb4549a27 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#30 0xb45475f4 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#31 0xb195e9cd in ?? () from /usr/lib/nvidia-current/libGL.so.1
#32 0xb56f90ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 3 (Thread 0xa87f5b70 (LWP 578)):
#0  0xb775b424 in __kernel_vsyscall ()
#1  0xb47cba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5706cfc in __pthread_cond_wait (cond=0x905f620, mutex=0x905f7a0) at forward.c:139
#3  0xa5adc566 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#4  0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#5  0xb1e3acec in ?? () from /usr/lib/libgstreamer-0.10.so.0
#6  0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0xa5aeaae9 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#8  0xa5aeaee8 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#9  0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#10 0xa5addb3a in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#11 0xb1e7bee0 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#12 0xb1e7d188 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#13 0xb4549a27 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#14 0xb45475f4 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#15 0xb195e9cd in ?? () from /usr/lib/nvidia-current/libGL.so.1
#16 0xb56f90ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 2 (Thread 0xa7d61b70 (LWP 579)):
#0  0xb775b424 in __kernel_vsyscall ()
#1  0xb47cba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5706cfc in __pthread_cond_wait (cond=0x8aefa60, mutex=0x8af5d08) at forward.c:139
#3  0xa5adc566 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#4  0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#5  0xb1e3acec in ?? () from /usr/lib/libgstreamer-0.10.so.0
#6  0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0xa5aeac98 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#8  0xa5aeaee8 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#9  0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#10 0xb1e3acec in ?? () from /usr/lib/libgstreamer-0.10.so.0
#11 0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#12 0xb1f16979 in ?? () from /usr/lib/libgstbase-0.10.so.0
#13 0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#14 0xb1f16979 in ?? () from /usr/lib/libgstbase-0.10.so.0
#15 0xb1e5271e in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#16 0xa5addb3a in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#17 0xb1e7bee0 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#18 0xb1e7d188 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#19 0xb4549a27 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#20 0xb45475f4 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#21 0xb195e9cd in ?? () from /usr/lib/nvidia-current/libGL.so.1
#22 0xb56f90ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xafc8a720 (LWP 6449)):
#0  0xb775b424 in __kernel_vsyscall ()
#1  0xb47ce619 in __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/lowlevellock.S:142
#2  0xb47c9f7d in _L_lock_708 () from /lib/i386-linux-gnu/libpthread.so.0
#3  0xb47c9dc3 in __pthread_mutex_lock (mutex=0x8d62b94) at pthread_mutex_lock.c:61
#4  0xb5706f14 in pthread_mutex_lock (mutex=0x8d62b94) at forward.c:182
#5  0xb4547a4d in g_static_rec_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb1e48d13 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#7  0xb1e51757 in gst_pad_activate_push () from /usr/lib/libgstreamer-0.10.so.0
#8  0xb1e3a7a5 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#9  0xb1e51648 in gst_pad_activate_push () from /usr/lib/libgstreamer-0.10.so.0
#10 0xb1e523e1 in gst_pad_set_active () from /usr/lib/libgstreamer-0.10.so.0
#11 0xb1e184b0 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#12 0xb1e42cb3 in gst_iterator_fold () from /usr/lib/libgstreamer-0.10.so.0
#13 0xb1e18367 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#14 0xb1e1eef0 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#15 0xb1e3377b in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#16 0xb1e33c85 in gst_element_continue_state () from /usr/lib/libgstreamer-0.10.so.0
#17 0xb1e337ff in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#18 0xb1e34235 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#19 0xb1e334b1 in gst_element_set_state () from /usr/lib/libgstreamer-0.10.so.0
#20 0xae683e7f in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_gstreamer.so
#21 0xae69d1a1 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_gstreamer.so
#22 0xae69d212 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_gstreamer.so
#23 0xb4dc22aa in Phonon::MediaNodePrivate::deleteBackendObject() () from /usr/lib/libphonon.so.4
#24 0xb4dacdeb in ?? () from /usr/lib/libphonon.so.4
#25 0xb4dad162 in ?? () from /usr/lib/libphonon.so.4
#26 0xb4dacab2 in ?? () from /usr/lib/libphonon.so.4
#27 0xb4da8c59 in ?? () from /usr/lib/libphonon.so.4
#28 0xb5659981 in __run_exit_handlers (status=1, listp=0xb579f324, run_list_atexit=true) at exit.c:78
#29 0xb5659a0d in __GI_exit (status=1) at exit.c:100
#30 0xb5fe7e68 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:781
#31 0xb74e60d9 in KApplication::xioErrhandler (this=0xbf97e204, dpy=0x8c09cb8) at ../../kdeui/kernel/kapplication.cpp:419
#32 0xb74e6114 in kde_xio_errhandler (dpy=0x8c09cb8) at ../../kdeui/kernel/kapplication.cpp:126
#33 0xb6918e14 in _XIOError () from /usr/lib/i386-linux-gnu/libX11.so.6
#34 0xb691649f in _XEventsQueued () from /usr/lib/i386-linux-gnu/libX11.so.6
#35 0xb6906c88 in XEventsQueued () from /usr/lib/i386-linux-gnu/libX11.so.6
#36 0xb6027cc3 in x11EventSourcePrepare (s=0x8c05378, timeout=0xbf97df9c) at kernel/qguieventdispatcher_glib.cpp:77
#37 0xb451f88c in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#38 0xb4520637 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#39 0xb4520c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#40 0xb5a41ada in QEventDispatcherGlib::processEvents (this=0x8ac2248, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#41 0xb6027e7a in QGuiEventDispatcherGlib::processEvents (this=0x8ac2248, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#42 0xb5a121dd in QEventLoop::processEvents (this=0xbf97e174, flags=...) at kernel/qeventloop.cpp:149
#43 0xb5a12421 in QEventLoop::exec (this=0xbf97e174, flags=...) at kernel/qeventloop.cpp:201
#44 0xb5a1719d in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#45 0xb5f6d924 in QApplication::exec () at kernel/qapplication.cpp:3760
#46 0x0804fc32 in main (argc=) at ../../src/main.cpp:303
Comment 3 Myriam Schweingruber 2012-02-10 15:02:12 UTC
This helps, than you for the feedback.
It is likely this is already fixed though as there have been quite some changes in the CD playback recently in the development branch.
Comment 4 robert marshall 2012-02-10 21:27:32 UTC
Good news! And I've just confirmed that removing Composer from the sort options has (so far) cured the crash - so I have another workaround (apart from moving context to APG)
Comment 5 robert marshall 2012-06-14 18:48:28 UTC
I've just caused a crash with the 2.6 beta after re-adding composer to the sort options and inserting a cd
Comment 6 Myriam Schweingruber 2012-11-29 10:50:29 UTC
This works without problems here in 2.6 and 2.6-git, please upgrade.
Comment 7 robert marshall 2012-11-29 14:08:58 UTC
I'm running the release version of 2.6 and can still get a crash (just done it 3 times with the following technique - slight variation on the above):
- make sure sort level 3 is None
- insert cd - it is recognised and the tracks displayed in the collection panel
- make sort level 3 'Composer' (the cd tags don't have composer set - do any?)
- the Local Collection and the CD both fold up
- click on the '>' for the cd to open up and view the tracks
- the tracks appear briefly and then amarok crashes

(amarok 2.6.0 kde 4.9.2)
Comment 8 Myriam Schweingruber 2012-11-29 14:47:02 UTC
That is indeed a very particular crash and rather a cornercase, as one has to do some special moves, I was just able to reproduce here. But it is definitely not a crash in Amarok but an assert in Pulseudio. Sadly, all I get is this:

KCrash: Application 'amarok' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/myriam/.kde/socket-filouebuntu/kdeinit4__1
Assertion 'pa_close(fds[0]) == 0' failed at pulsecore/core-util.c:2292, function pa_close_pipe(). Aborting.
Unable to start Dr. Konqi

Do you get a backtrace for that?
Comment 9 robert marshall 2012-11-29 15:34:35 UTC
No I get exactly the same output - running under gdb gives me 'No stack' as a backtrace after the failure.

I doubt if changing the amaork sort order would cause a pulseaudio crash? something elsewhere is (IMHO) corrupting the stack

With --debug as the last few lines output I get -
amarok: END__: virtual bool Meta::AudioCdAlbum::isCompilation() const [Took: 0s] 
amarok: BEGIN: virtual bool Meta::AudioCdAlbum::isCompilation() const 
amarok: END__: virtual bool Meta::AudioCdAlbum::isCompilation() const [Took: 0s] 
amarok: BEGIN: virtual bool Meta::AudioCdAlbum::isCompilation() const 
amarok: END__: virtual bool Meta::AudioCdAlbum::isCompilation() const [Took: 0s] 
amarok: [CollectionWidget] Sort levels: (1, 2, 4) 
KCrash: Application 'amarok' crashing...
Comment 10 Myriam Schweingruber 2012-11-29 17:30:44 UTC
Reopening as the bug is fully reproducible. I just can't get a backtrace right now, I will try to run it with gdb later.
Comment 11 MinSik CHO 2012-12-02 12:03:16 UTC
partially reproducible with amarok 2.6
Amarok becomes unresponsive during examination, but after examination, it recovers.
Comment 12 Matěj Laitl 2013-01-05 23:05:52 UTC
Git commit fcd7adc01c9dd56a31c7aba9b272e9a187eebb13 by Matěj Laitl.
Committed on 06/01/2013 at 00:03.
Pushed by laitl into branch 'master'.

AudioCdCollection: set composer of all tracks

...most Amarok code assumes it is non-null. As CDDB doesn't provide the
information, we set empty composer, which is "Unknown Composer" for
display purposes.

BUGFIXES:
    * Audio CD: fix crash due to no composer being set.
FIXED-IN: 2.7

M  +1    -0    ChangeLog
M  +10   -0    src/core-impl/collections/audiocd/AudioCdCollection.cpp
M  +0    -30   src/core-impl/collections/audiocd/AudioCdMeta.cpp
M  +0    -6    src/core-impl/collections/audiocd/AudioCdMeta.h

http://commits.kde.org/amarok/fcd7adc01c9dd56a31c7aba9b272e9a187eebb13
Comment 13 Matěj Laitl 2013-05-27 09:41:21 UTC
*** Bug 305014 has been marked as a duplicate of this bug. ***